/{organizationId}/{mandateId}/booking/events/{eventId}/bookingsCreate booking
Creates a new booking for a specific event for a given mandate
Required permissions:
mandate.read
event.read
attendee.insert
booking.insert
Path Parameters
organizationIdstringrequired mandateIdstringrequired eventIdstringrequired Request Body required
Content-Type: application/json
maxItems: 20
discountCodestringoptional minLength: 1
maxLength: 32
forceAcceptancebooleanoptional Default: false
notifyBuyerbooleanoptional Default: true
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/bookings' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"buyer": {
"type": "business",
"name": "string",
"email": ""
},
"attendees": [
{
"type": "person",
"name": "string"
}
]
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}